org.bdgenomics.adam.instrumentation

# Timers

###
Related Doc: package instrumentation

#### object Timers extends Metrics

Contains Timers that are used to instrument ADAM.

Linear Supertypes
Metrics, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Timers
2. Metrics
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val BQSRInDriver: Timer

5. #### val BroadcastJoinAndGroupByRight: Timer

6. #### val BroadcastingKnownSnps: Timer

7. #### val BuildingTrees: Timer

8. #### val CheckingForMask: Timer

9. #### val CollectingSnps: Timer

10. #### val ComputeCovariates: Timer

11. #### val ComputeQualityScore: Timer

12. #### val ComputingCycleCovariate: Timer

13. #### val ComputingDinucCovariate: Timer

14. #### val ComputingOriginalScores: Timer

15. #### val ConvertToSAM: Timer

16. #### val ConvertToSAMRecord: Timer

17. #### val CreateIndelRealignmentTargets: Timer

18. #### val CreateReferencePositionPair: Timer

19. #### val CreatingKnownSnpsTable: Timer

20. #### val CreatingRecalibrationTable: Timer

21. #### val FinalizingRealignments: Timer

22. #### val FindTargets: Timer

23. #### val FullOuterShuffleJoin: Timer

24. #### val GetExtraValues: Timer

25. #### val GetReferenceFromFile: Timer

26. #### val GetReferenceFromReads: Timer

27. #### val GrowingTrees: Timer

28. #### val InnerBroadcastJoin: Timer

29. #### val InnerShuffleJoin: Timer

30. #### val InvertingRecalibrationTable: Timer

31. #### val JoinTargets: Timer

32. #### val LeftOuterShuffleJoin: Timer

33. #### val LoadAlignments: Timer

34. #### val LoadBam: Timer

35. #### val LoadBed: Timer

36. #### val LoadContigFragments: Timer

37. #### val LoadCoverage: Timer

38. #### val LoadFasta: Timer

39. #### val LoadFastq: Timer

40. #### val LoadFeatures: Timer

41. #### val LoadFragments: Timer

42. #### val LoadGenotypes: Timer

43. #### val LoadGff3: Timer

44. #### val LoadGtf: Timer

45. #### val LoadIndexedBam: Timer

46. #### val LoadIndexedVcf: Timer

47. #### val LoadInterleavedFastq: Timer

48. #### val LoadInterleavedFastqFragments: Timer

49. #### val LoadIntervalList: Timer

50. #### val LoadNarrowPeak: Timer

51. #### val LoadPairedFastq: Timer

52. #### val LoadParquet: Timer

53. #### val LoadReferenceFile: Timer

54. #### val LoadSequenceDictionary: Timer

55. #### val LoadUnpairedFastq: Timer

56. #### val LoadVariants: Timer

57. #### val LoadVcf: Timer

58. #### val MapTargets: Timer

59. #### val MarkDuplicatesInDriver: Timer

60. #### val MarkReads: Timer

61. #### val ObservationAccumulatorComb: Timer

62. #### val ObservationAccumulatorSeq: Timer

63. #### val ObservingRead: Timer

64. #### val PerformDuplicateMarking: Timer

65. #### val QueryingRecalibrationTable: Timer

66. #### val ReadCovariates: Timer

67. #### val ReadResidues: Timer

68. #### val RealignIndelsInDriver: Timer

69. #### val RealignTargetGroup: Timer

70. #### val RecalibrateRead: Timer

71. #### val RightOuterBroadcastJoin: Timer

72. #### val RightOuterBroadcastJoinAndGroupByRight: Timer

73. #### val RightOuterShuffleJoin: Timer

74. #### val RightOuterShuffleJoinAndGroupByLeft: Timer

75. #### val RunningMapSideJoin: Timer

76. #### val SAMSave: Timer

77. #### val SaveAsADAM: Timer

78. #### val SaveAsVcf: Timer

79. #### val ScoreAndMarkReads: Timer

80. #### val ShuffleJoinAndGroupByLeft: Timer

81. #### val SortByIndex: Timer

82. #### val SortReads: Timer

83. #### val SortTargets: Timer

84. #### val SortingRightSide: Timer

85. #### val SweepReadOverReferenceForQuality: Timer

86. #### val SweepReadsOverConsensus: Timer

87. #### val TreeJoin: Timer

88. #### val TrimCigar: Timer

89. #### val TrimLowQualityInDriver: Timer

90. #### val TrimMDTag: Timer

91. #### val TrimRead: Timer

92. #### val TrimReadsInDriver: Timer

93. #### val WriteADAMRecord: Timer

94. #### val WriteBAMRecord: Timer

95. #### val WriteCRAMRecord: Timer

96. #### val WriteSAMRecord: Timer

97. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

98. #### val clock: Clock

    Definition Classes
      Metrics

99. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

100. #### final def eq(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

101. #### def equals(arg0: Any): Boolean

     Definition Classes
       AnyRef → Any

102. #### def finalize(): Unit

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( classOf[java.lang.Throwable] )

103. #### final def getClass(): Class[_]

     Definition Classes
       AnyRef → Any

104. #### def hashCode(): Int

     Definition Classes
       AnyRef → Any

105. #### final def isInstanceOf[T0]: Boolean

     Definition Classes
       Any

106. #### final def ne(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

107. #### final def notify(): Unit

     Definition Classes
       AnyRef

108. #### final def notifyAll(): Unit

     Definition Classes
       AnyRef

109. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

110. #### def timer(name: String): Timer

     Definition Classes
       Metrics

111. #### def toString(): String

     Definition Classes
       AnyRef → Any

112. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

113. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

114. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Metrics

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped